# Class default

#### Hierarchy

- default

- Defined in src/offline/Mode.js:24
- Defined in src/offline/Mode.js:108

#####
Index

### Constructors

constructor

### Properties

module

### Methods

activateOfflineMode
enable
hasData
isEnabled
registerComponent

## Constructors

### constructor

- new default(ngeoOfflineConfiguration: default): default

- ### Ng Inject

  ### Ngdoc

  service

  ### Ngname

  ngeoOfflineState

  #### Parameters

  - ##### ngeoOfflineConfiguration: default

    ngeo offline configuration service.

  #### Returns default

  - Defined in src/offline/Mode.js:32

## Properties

### `Static` module

module: IModule

- Defined in src/offline/Mode.js:108

## Methods

### activateOfflineMode

- activateOfflineMode(): void

- ### Export

  #### Returns void

  - Defined in src/offline/Mode.js:87

### enable

- enable(): void

- Enable offline mode. ATM we cannot escape from the offline mode.

  ### Export

  #### Returns void

  - Defined in src/offline/Mode.js:71

### hasData

- hasData(): boolean

- ### Returns

  True if data are accessible offline.

  ### Export

  #### Returns boolean

  - Defined in src/offline/Mode.js:98

### isEnabled

- isEnabled(): boolean

- Return if we are in offline mode.

  ### Returns

  whether offline mode is enabled

  ### Export

  #### Returns boolean

  - Defined in src/offline/Mode.js:62

### registerComponent

- registerComponent(component: __class): void

- ### Export

  #### Parameters

  - ##### component: __class

    Offline component.

  #### Returns void

  - Defined in src/offline/Mode.js:80

Generated using TypeDoc